Ofcas.Lk.Api.Client - Version 3.0 3.0.0.113

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Ofcas.Lk.Api.Client.Ui.PhaseUi Class Reference

PhaseUi is the representation of a LogiKal phase and provides methods with user interactions. The children are of type ElevationUi. The children can be received from the InfoList (CoreObject<T>.Infos). More...

Inheritance diagram for Ofcas.Lk.Api.Client.Ui.PhaseUi:

## Public Member Functions
new ElevationUi | GetChild (ElevationInfo elevationInfo)
| Gets an ElevationUi based on an ElevationInfo. More...
new IEnumerable< ElevationUi > | GetChildren (IEnumerable< ElevationInfo > childrenInfos=null)
| Gets ElevationUis based on an ElevationInfos. More...
new ElevationUi | GetElevation (ElevationInfo elevationInfo)
| This method is deprecated. Please use GetChild(ElevationInfo) instead. More...
void | SetApplicationHandle (IntPtr uiHandle)
| Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,long,System.TimeSpan)). More...
override OperationInfo | CanMoveFrom (ICoreInfo coreInfo, bool deepCheck=true)
override ElevationInfo | MoveFrom (ICoreInfo coreInfo)
| Moves an object into this phase based on an info object. More...
new ElevationInfo | CopyFrom (ICoreInfo coreInfo)
| Copies an object with user interaction into this phase based on an info object. More...
ElevationInfo | RestoreElevation (ElevationInfo elevationInfo)
| This method is deprecated. Please use RestoreChild(ElevationInfo) instead. More...
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Phase
| Phase (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, Project parent, PhaseInfo coreInfo)
| Creates a new phase. More...
override Elevation | GetChild (ElevationInfo elevationInfo)
| Gets a Elevation based on a ElevationInfo. More...
override IList< Elevation > | GetChildren (IEnumerable< ElevationInfo > childrenInfos=null)
| Gets Elevations based on an ElevationInfos. More...
Elevation | GetElevation (ElevationInfo elevationInfo)
| This method is deprecated. Please use GetChild(ElevationInfo) instead. More...
override OperationInfo | CanEdit (string key, object value)
| Checks whether an phase can be edited or not. More...
override PhaseInfo | Edit (string key, object value)
| Edits an phase based on a key and a value. More...
override OperationInfo | CanCreateChild ()
| Checks whether an elevation can be created or not. More...
override ElevationInfo | CreateChild ()
| Creates a new elevation with a default name. Call Elevation.Edit with WellKnownEditKeys.Elevation to change values. More...
override OperationInfo | CanDeleteChild (ElevationInfo elevationInfo)
| Checks whether an elevation can be deleted or not. More...
override void | DeleteChild (ElevationInfo elevationInfo, bool forceDelete=false)
| Deletes an elevation based on an info object. More...
override OperationInfo | CanCopyFrom (ICoreInfo coreInfo, bool deepCheck=true)
override ElevationInfo | CopyFrom (ICoreInfo coreInfo)
| Copies an object into this phase based on an info object. More...
ElevationInfo | RestoreChild (ElevationInfo elevationInfo)
| Restores an Elevation based on a ElevationInfo. More...
string | GetNextPositionNumber ()
| Retrieves the next available position number of this phase. More...
override ElevationInfo | RefreshChild (ElevationInfo childInfo)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >
TOwnInfo | Refresh ()
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
bool | CanDispose ()
| Checks whether the ICoreInfo can be disposed. More...

## Public Attributes
new ProjectUi | Parent => (ProjectUi) base.Parent
| The parent of this object. More...

## Protected Member Functions
override Elevation | CreateNewInstance (Guid responseNewCoreObjectId, ElevationInfo elevationInfo)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.Phase
ElevationInfo | CopyFrom (ICoreInfo coreInfo, bool verbose)
| Calls public methods. More...
override IEnumerable< ElevationInfo > | GetChildrenInfos ()
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >
| CoreObjectFullyQualified (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, TParent parent, TOwnInfo ownInfo)
| Creates a new instance of CoreObjectFullyQualified<TParent,TOwnInfo,TChild,TChildInfo> with the given parameters. More...

## Additional Inherited Members
Properties inherited from Ofcas.Lk.Api.Client.Core.Phase
ISynchronizationContainer | SynchronizationContainer`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Project, PhaseInfo, Elevation, ElevationInfo >
TParent | Parent`[get]`
TOwnInfo | Info`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithSynchronizations
ISynchronizationContainer | SynchronizationContainer`[get]`
| The ISynchronizationContainer of this ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...

## Detailed Description

PhaseUi is the representation of a LogiKal phase and provides methods with user interactions. The children are of type ElevationUi. The children can be received from the InfoList (CoreObject<T>.Infos).

## Member Function Documentation

## ◆ CopyFrom()

new ElevationInfo Ofcas.Lk.Api.Client.Ui.PhaseUi.CopyFrom | ( | ICoreInfo | coreInfo | ) |

Copies an object with user interaction into this phase based on an info object.

Parameters

  coreInfo | The info of the object to be copied.

Returns
  Returns an info object of the copied / created elevation. In case of the dialog was aborted, the returned value is 'null'.

## ◆ GetChild()

new ElevationUi Ofcas.Lk.Api.Client.Ui.PhaseUi.GetChild | ( | ElevationInfo | elevationInfo | ) |

Gets an ElevationUi based on an ElevationInfo.

Parameters

  elevationInfo | The ElevationInfo of the ElevationUi to be returned.

Returns
  Returns an ElevationUi based on the given ElevationInfo.

## ◆ GetChildren()

new IEnumerable<ElevationUi> Ofcas.Lk.Api.Client.Ui.PhaseUi.GetChildren | ( | IEnumerable< ElevationInfo > | childrenInfos = `null` | ) |

Gets ElevationUis based on an ElevationInfos.

Parameters

  childrenInfos | The ElevationInfos of the ElevationUis to be returned. If an empty list is given all Elevations of this Phase will be returned.

Returns
  Returns a list of ElevationUis based on the given ElevationInfos.

Exceptions

  ArgumentNullException | Thrown if list of ElevationInfos is null.

## ◆ GetElevation()

new ElevationUi Ofcas.Lk.Api.Client.Ui.PhaseUi.GetElevation | ( | ElevationInfo | elevationInfo | ) |

This method is deprecated. Please use GetChild(ElevationInfo) instead.

## ◆ MoveFrom()

override ElevationInfo Ofcas.Lk.Api.Client.Ui.PhaseUi.MoveFrom | ( | ICoreInfo | coreInfo | ) |

Moves an object into this phase based on an info object.

Parameters

  coreInfo | The info of the object to be moved.

Returns
  Returns an info object of the moved / created elevation.

## ◆ RestoreElevation()

ElevationInfo Ofcas.Lk.Api.Client.Ui.PhaseUi.RestoreElevation | ( | ElevationInfo | elevationInfo | ) |

This method is deprecated. Please use RestoreChild(ElevationInfo) instead.

## ◆ SetApplicationHandle()

void Ofcas.Lk.Api.Client.Ui.PhaseUi.SetApplicationHandle | ( | IntPtr | uiHandle | ) |

Sets an ui handle. All opened user interfaces used this handle as parent. After an operation the default handle from the login scope will be used (ServiceProxyBase<TService,TCoreObject>.Login(string,long,System.TimeSpan)).

Parameters

  uiHandle | the ui handle to be used for opened user interfaces from this class.

## Member Data Documentation

## ◆ Parent

new ProjectUi Ofcas.Lk.Api.Client.Ui.PhaseUi.Parent => (ProjectUi) base.Parent

The parent of this object.

The documentation for this class was generated from the following file:

- PhaseUi.cs